@echo off
cls
if exist sound.dat goto donext
  install
  if exist sound.dat goto donext
  echo You must setup sound with the installer before playing Warlords II.
  goto exit
:donext

if not exist sound\gravis.ini goto doneg
  cd sound
  lh ultramid
  cd ..
:doneg


echo ==================================
echo =   Select Your choice:          =
echo =     1) Play Warlords 2 Deluxe  =
echo =     2) Run Scenario builder    =
echo =     3) Run Terrain builder     =
echo ==================================

CHOICE /N /C:123 PICK A NUMBER (1,2 or 3)%1

IF ERRORLEVEL ==3 GOTO THREE
IF ERRORLEVEL ==2 GOTO TWO
IF ERRORLEVEL ==1 GOTO ONE

GOTO exit

:THREE
w2terr
GOTO exit

:TWO
warscen
GOTO exit

:ONE

if %1x == -nsx goto game
if %1x == /nsx goto game
if %2x == -nsx goto game
if %2x == /nsx goto game
if %3x == -nsx goto game
if %3x == /nsx goto game
if %4x == -nsx goto game
if %4x == /nsx goto game
w2ds

:game
multip
w2 %1 %2 %3 %4
multip u

if not exist sound\gravis.ini goto doneg2
  sound\ultramid -F
  echo ..
:doneg2
:exit
exit